Users login

Create an account »

JOIN XATRIX

Users login

Home » Hacking News » Portix-PHP View.PHP Directory Traversal Vulnerability

Portix-PHP View.PHP Directory Traversal Vulnerability

by Nikola Strahija on February 8th, 2002 Portix-PHP is prone to directory traversal attacks. The script view.php does not sufficiently filter '../' sequences from web requests, making it possible for an attacker to browse the filesystem of the host running the vulnerable software. Arbitrary web-readable files may be viewed by an attacker.


Successful exploitation may cause sensitive information to be disclosed to the attacker. Information gathered in this manner may be used to aid in further attacks against the host.

Portix-PHP is freely available web portal software. It is written in PHP and will run on most Unix and Linux variants.

Exploit:

www.hostportix.com/index.php?
l=forum/view.php&topic=../../../etc/passwd

Remote: Yes


Newsletter signup

Signup to our monthly newsletter and stay in touch with IT news!

Free E-books

We've got ebooks! But they're not online. :( Please give us a few days to bring downloads back.

Contact

Have something to say or just wanna drop us a line? Please keep this in mind: to spam, we reply with spam.

Contact us »